#### D.15.24.2 sresExt

Procedure from library `sresext.lib` (see sresext_lib).

Usage:
  srexExt(m,p); m a module over the polynomial ring.

Return:
  resolution

Purpose:
  to compute the minimal free resolution of m, where m represents a module over the exterior algebra, up to pth cohomological degree.

Theory:

Example:

    LIB "sresext.lib";
    ring r = 0,(x,y,z),dp;
    def e = Exterior(); setring e;
    vector f1 = [x,y,0,z,0,0];
    vector f2 = [0,x,y,0,z,0];
    vector f3 = [0,0,0,x,y,z];
    module m = f1,f2,f3;
    m = std(m);
    sresExt(m,4);
    ==>  6      6      10      16      23
    ==> e <--  e <--  e <--   e <--   e
    ==>
    ==> 0      1      2       3       4
    ==> resolution not minimized yet
    ==>

See also: mresExt; schreyerSyzExt.

User manual for Singular version 4.4.1, 2025, generated by texi2html.